; PBR configuration file. See https://docs.openstack.org/pbr/latest/user/using.html

[metadata]
name = dag-workflows
author = Roivant Sciences
author_email = alec.clowes@roivant.com
summary = Run tasks in a workflow
description_file = README.rst
home_page = https://gitlab.com/roivant/oss/workflows
python_requires = >=3.7
license_file = LICENSE
classifier =
    Topic :: Internet :: WWW/HTTP :: Dynamic Content
    Intended Audience :: Developers
    Programming Language :: Python
    Programming Language :: Python :: 3
    Development Status :: 4 - Beta
    Operating System :: OS Independent
    License :: OSI Approved :: Apache Software License

[extras]
scheduler =
    django
    dj_database_url
    psycopg2-binary
bq =
    google-cloud-bigquery
k8s =
    kubernetes

[coverage:run]
; see https://coverage.readthedocs.io/en/coverage-4.3.3/config.html
branch = True
source = .

[coverage:report]
exclude_lines =
    # Have to re-enable the standard pragma
    pragma: no cover

    # Don't cover defensive assertion code
    raise NotImplementedError

    # Lexical noop
    pass
omit =
    */version.py
    setup.py
    manage.py
    settings/wsgi.py
    */migrations/*
show_missing = 1
fail_under = 100

[files]
packages = workflows

[entry_points]
console_scripts =
    workflows = workflows.cli:main

; register the pytest fixtures
pytest11 =
    workflows = workflows.testing

[flake8]
max-complexity = 10
max-line-length = 99
exclude =
    */migrations/*

[tool:pytest]
xfail_strict = true
DJANGO_SETTINGS_MODULE = example_project.settings

[isort]
profile = black
skip_glob = */migrations/*

[black]
; configured in pyproject.toml
